Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WTCRemoteTuxDomMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface WTCRemoteTuxDomMBean
extends ConfigurationMBean

This interface provides access to the WTC remote Tuxedo Domain configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAccessPoint()` The unique name used to identify this remote Tuxedo access point.
`String` | `getAccessPointId()` The connection principal name used to identify this remote Tuxedo access point when attempting to establish a session connection to local Tuxedo access points.
`String` | `getAclPolicy()` The inbound access control list (ACL) policy toward requests from a remote Tuxedo access point.
`boolean` | `getAllowAnonymous()` Specifies whether the anonymous user is allowed to access remote Tuxedo services.
`String` | `getAppKey()` Specifies the type of AppKey plug-in used.
`int` | `getCmpLimit()` The compression threshold this remote Tuxedo access point uses when sending data to a local Tuxedo access point.
`String` | `getConnectionPolicy()` The conditions under which this remote Tuxedo access point establishes a session connection with a local Tuxedo access point.
`String` | `getConnPrincipalName()` The principal name used to verify the identity of this remote Tuxedo access point when it establishes a session connection with a local Tuxedo access point.
`String` | `getCredentialPolicy()` The outbound access control list (ACL) policy toward requests to a remote Tuxedo access point.
`String` | `getCustomAppKeyClass()` The full pathname to the custom `AppKey` generator class.
`String` | `getCustomAppKeyClassParam()` The optional parameters to be used by the custom `AppKey` class at the class initialization time.
`int` | `getDefaultAppKey()` The default `AppKey` value to be used by the anonymous user and other users who are not defined in the user database if the plug-in allows them to access Tuxedo.
`String` | `getFederationName()` The context at which this remote Tuxedo access point federates to a foreign name service.
`String` | `getFederationURL()` The URL for a foreign name service that is federated into JNDI.
`int` | `getKeepAlive()` Return value tells whether this local Tuxedo access point is configured with Application Level Keep Alive, and it maximum idle time value before wait timer start ticking.
`int` | `getKeepAliveWait()` Return value that tells whether this local Tuxedo access point requires the acknowledgement of Application Level Keep Alive, and how long it will wait without receiving acknowledgement before declare the connection is inaccessable.
`String` | `getLocalAccessPoint()` The local domain name from which this remote Tuxedo domain is reached.
`String` | `getMaxEncryptBits()` The maximum encryption key length (in bits) this remote Tuxedo access point uses when establishing a session connection.
`long` | `getMaxRetries()` The maximum number of times that this remote Tuxedo access point tries to establish a session connections to local Tuxedo access points.
`String` | `getMinEncryptBits()` The minimum encryption key length (in bits) this remote Tuxedo access point uses when establishing a session connection.
`String` | `getNWAddr()` The network address and port number of this remote Tuxedo access point.
`long` | `getRetryInterval()` The number of seconds that this remote Tuxedo access point waits between automatic connection attempts to local Tuxedo access points.
`String` | `getTpUsrFile()` The full path to the user password file containing UID/GID information.
`String` | `getTuxedoGidKw()` The keyword for Tuxedo GID (Group ID) used in the `WlsUser` when using the Tuxedo migration utility `tpmigldap`.
`String` | `getTuxedoUidKw()` The keyword for Tuxedo UID (User ID) used in the `WlsUser` when using the Tuxedo migration utility `tpmigldap`.
`void` | `setAccessPoint(String AccessPoint)` Sets the value of the AccessPoint attribute.
`void` | `setAccessPointId(String AccessPointId)` Sets the value of the AccessPointId attribute.
`void` | `setAclPolicy(String AclPolicy)` Sets the value of the AclPolicy attribute.
`void` | `setAllowAnonymous(boolean AllowAnonymous)` Sets the value of the AllowAnonymous attribute.
`void` | `setAppKey(String AppKey)` Sets the value of the AppKey attribute.
`void` | `setCmpLimit(int CmpLimit)` Sets the value of the CmpLimit attribute.
`void` | `setConnectionPolicy(String ConnectionPolicy)` Sets the value of the ConnectionPolicy attribute.
`void` | `setConnPrincipalName(String ConnPrincipalName)` Sets the value of the ConnPrincipalName attribute.
`void` | `setCredentialPolicy(String CredentialPolicy)` Sets the value of the CredentialPolicy attribute.
`void` | `setCustomAppKeyClass(String AppKeyClass)` Sets the value of the CustomAppKeyClass attribute.
`void` | `setCustomAppKeyClassParam(String Param)` Sets the value of the CustomAppKeyClassParam attribute.
`void` | `setDefaultAppKey(int DfltAppKey)` Sets the value of the DefaultAppKey attribute.
`void` | `setFederationName(String FederationName)` Sets the value of the FederationName attribute.
`void` | `setFederationURL(String FederationURL)` Sets the value of the FederationURL attribute.
`void` | `setKeepAlive(int KeepAlive)` Sets the value of the KeepAlive attribute.
`void` | `setKeepAliveWait(int KeepAliveWait)` Sets the value of the KeepAliveWait attribute.
`void` | `setLocalAccessPoint(String LocalAccessPoint)` Sets the value of the LocalAccessPoint attribute.
`void` | `setMaxEncryptBits(String MaxEncryptBits)` Sets the value of the MaxEncryptBits attribute.
`void` | `setMaxRetries(long MaxRetries)` Sets the value of the MaxRetries attribute.
`void` | `setMinEncryptBits(String MinEncryptBits)` Sets the value of the MinEncryptBits attribute.
`void` | `setNWAddr(String ListenAddress)` Sets the value of the NWAddr attribute.
`void` | `setRetryInterval(long RetryInterval)` Sets the value of the RetryInterval attribute.
`void` | `setTpUsrFile(String TpUsrFile)` Sets the value of the TpUsrFile attribute.
`void` | `setTuxedoGidKw(String GidKw)` Sets the value of the TuxedoGidKw attribute.
`void` | `setTuxedoUidKw(String UidKw)` Sets the value of the TuxedoUidKw attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAccessPoint

    public String getAccessPoint()

  The unique name used to identify this remote Tuxedo access point. This name should be unique for all local and remote Tuxedo access points defined within a WTC Service. This allows you to define unique configurations having the same Access Point ID.

  Returns:
    The accessPoint value
  A dynamic MBean attribute.

### getAccessPointId

    public String getAccessPointId()

  The connection principal name used to identify this remote Tuxedo access point when attempting to establish a session connection to local Tuxedo access points.

  Returns:
    The accessPointId value
  A dynamic MBean attribute.

### getAclPolicy

    public String getAclPolicy()

  The inbound access control list (ACL) policy toward requests from a remote Tuxedo access point.

  The allowed values are:

  - `LOCAL`: The local Tuxedo access point modifies the identity of service requests received from a given remote Tuxedo access point to the principal name specified in the local principal name for a given remote Tuxedo access point.
  - `GLOBAL`: The local Tuxedo access point passes the service request with no change in identity.

  Note: If Interoperate is set to Yes, AclPolicy is ignored.

  Returns:
    The aclPolicy value
  A dynamic MBean attribute.

### getAllowAnonymous

    public boolean getAllowAnonymous()

  Specifies whether the anonymous user is allowed to access remote Tuxedo services.

  Note: If the anonymous user is allowed to access Tuxedo, the default AppKey will be used for `TpUsrFile` and `LDAP` AppKey plug-ins. Interaction with the `Custom` AppKey plug-in depends on the design of the Custom AppKey generator.

  Returns:
    The allowAnonymous value
  A dynamic MBean attribute.

### getAppKey

    public String getAppKey()

  Specifies the type of AppKey plug-in used.

  The allowed values are:

  - `TpUsrFile - `TpUsrFile` is the default plug-in. It uses an imported Tuxedo TPUSR file to provide user security information. Previous releases of WebLogic Tuxedo Connector support this option.`
  - `LDAP` - The `LDAP` plug-in utilizes an embedded LDAP server to provide user security information. The user record must define the Tuxedo UID and GID information in the description field. This functionality is not supported in previous releases of WebLogic Tuxedo Connector.
  - `Custom` - The `Custom` plug-in provides the ability to write your own AppKey generator class to provide the security information required by Tuxedo. This functionality is not supported in previous releases of WebLogic Tuxedo Connector.

  Returns:
    The appKey value
  A dynamic MBean attribute.

### getCmpLimit

    public int getCmpLimit()

  The compression threshold this remote Tuxedo access point uses when sending data to a local Tuxedo access point. Application buffers larger than this size are compressed.

  Range of Values: Between `0` and a positive 32-bit integer.

  Returns:
    The cmpLimit value
  A dynamic MBean attribute.

### getConnectionPolicy

    public String getConnectionPolicy()

  The conditions under which this remote Tuxedo access point establishes a session connection with a local Tuxedo access point.

  The allowed values are:

  - `ON_DEMAND`: A connection is attempted only when requested by either a client request to a remote service or an administrative connect command.
  - `ON_STARTUP`: A domain gateway attempts to establish a connection with its remote Tuxedo access points at gateway server initialization time. Remote services (services advertised in JNDI by the domain gateway for this local Tuxedo access point) are advertised only if a connection is successfully established to that remote Tuxedo access point. If there is no active connection to a remote Tuxedo access point, then the remote services are suspended. By default, this connection policy retries failed connections every 60 seconds. Use the MaxRetry and RetryInterval attributes to specify application specific values.
  - `INCOMING_ONLY`: A domain gateway does not attempt an initial connection to remote Tuxedo access points at startup and remote services are initially suspended. The domain gateway is available for incoming connections from remote Tuxedo access points and remote services are advertised when the domain gateway for this local Tuxedo access point receives an incoming connection. Connection retry processing is not allowed.
  - LOCAL: Specifies that the remote domain connection policy is explicitly defaulted to the local domain ConnectionPolicy attribute value.

  Returns:
    The connectionPolicy value
  A dynamic MBean attribute.

### getConnPrincipalName

    public String getConnPrincipalName()

  The principal name used to verify the identity of this remote Tuxedo access point when it establishes a session connection with a local Tuxedo access point. If not specified, the connection principal name defaults to the AccessPointID for this access point.

  Note: This parameter only applies to domains of type TDOMAIN that are running BEA Tuxedo 7.1 or later software.

  Note: ConnPrincipalName is not supported in this release.

  Returns:
    The connPrincipalName value
  A dynamic MBean attribute.

### getCredentialPolicy

    public String getCredentialPolicy()

  The outbound access control list (ACL) policy toward requests to a remote Tuxedo access point.

  The allowed values are:

  - `LOCAL`: The remote Tuxedo access point controls the identity of service requests received from the local Tuxedo access point to the principal name specified in the local principal name for this remote Tuxedo access point.
  - `GLOBAL`: The remote Tuxedo access point passes the service request with no change.

  Note:If Interoperate is set to Yes, CredentialPolicy is ignored.

  Returns:
    The credentialPolicy value
  A dynamic MBean attribute.

### getCustomAppKeyClass

    public String getCustomAppKeyClass()

  The full pathname to the custom `AppKey` generator class. (This class is only relevant if you specify `Custom` as the AppKey Generator.)

  Note: This class is loaded at runtime if the `Custom` AppKey generator plug-in is selected.

  Returns:
    The customAppKeyClass value
  A dynamic MBean attribute.

### getCustomAppKeyClassParam

    public String getCustomAppKeyClassParam()

  The optional parameters to be used by the custom `AppKey` class at the class initialization time. (This class is only relevant if you specify `Custom` as the AppKey Generator.)

  Returns:
    The customAppKeyClassParam value
  A dynamic MBean attribute.

### getDefaultAppKey

    public int getDefaultAppKey()

  The default `AppKey` value to be used by the anonymous user and other users who are not defined in the user database if the plug-in allows them to access Tuxedo.

  Note: The `TpUsrFile` and `LDAP` plug-ins do not allow users that are not defined in user database to access Tuxedo unless Allow Anonymous is enabled.

  Returns:
    The defaultAppKey value
  A dynamic MBean attribute.

### getFederationName

    public String getFederationName()

  The context at which this remote Tuxedo access point federates to a foreign name service. If omitted, the default federation point is `tuxedo.domains`.

  Returns:
    The federationName value
  A dynamic MBean attribute.

### getFederationURL

    public String getFederationURL()

  The URL for a foreign name service that is federated into JNDI.

  Note: The Weblogic Tuxedo Connector can federate to non-CORBA service providers.

  Note: If this value is not specified, the WebLogic Tuxedo Connector:

  - Assumes there is a CosNaming server in the foreign domain.
  - Federates to the CosNaming server using TGIOP.

  Returns:
    The federationURL value
  A dynamic MBean attribute.

### getKeepAlive

    public int getKeepAlive()

  Return value tells whether this local Tuxedo access point is configured with Application Level Keep Alive, and it maximum idle time value before wait timer start ticking.

  Returns:
    keepAlive value
  A dynamic MBean attribute.

### getKeepAliveWait

    public int getKeepAliveWait()

  Return value that tells whether this local Tuxedo access point requires the acknowledgement of Application Level Keep Alive, and how long it will wait without receiving acknowledgement before declare the connection is inaccessable.

  Returns:
    keepAlive value
  A dynamic MBean attribute.

### getLocalAccessPoint

    public String getLocalAccessPoint()

  The local domain name from which this remote Tuxedo domain is reached.

  Returns:
    The localAccessPoint value
  A dynamic MBean attribute.

### getMaxEncryptBits

    public String getMaxEncryptBits()

  The maximum encryption key length (in bits) this remote Tuxedo access point uses when establishing a session connection. A value of `0` indicates no encryption is used.

  Value Restrictions:

  - The value of the MaxEncryptBits attribute must be greater than or equal to the value of the MinEncrypBits attribute.
  - A MaxEncryptBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  Returns:
    The maxEncryptBits value
  A dynamic MBean attribute.

### getMaxRetries

    public long getMaxRetries()

  The maximum number of times that this remote Tuxedo access point tries to establish a session connections to local Tuxedo access points. Use only when the ConnectionPolicy value is set to `ON_STARTUP`.

  Note: A value of `-1` indicates that the Max Retries value from the local Tuxedo access point is used. Be sure to set the ConnectionPolicy value for the local Tuxedo access point to `ON_STARTUP` also.

  Range of Values: Between `-1` and a positive 64-bit integer.

  - Use `0` to disable the retry mechanism.

  - Use the maximum value to try until a connection is established.

  Returns:
    The maxRetries value
  A dynamic MBean attribute.

### getMinEncryptBits

    public String getMinEncryptBits()

  The minimum encryption key length (in bits) this remote Tuxedo access point uses when establishing a session connection. A value of `0` indicates no encryption is used.

  Value Restrictions:

  - The MinEncrypBits value must be less than or equal to the MaxEncrypBits value.
  - A MinEncrypBits value of 40 can be used only with domains running Tuxedo 7.1 or higher.

  Returns:
    The minEncryptBits value
  A dynamic MBean attribute.

### getNWAddr

    public String getNWAddr()

  The network address and port number of this remote Tuxedo access point. Specify the TCP/IP address in the format: `//hostname:port_number` or `//#.#.#.#:port_number`.

  Note: If the hostname is used, the access point finds an address for hostname using the local name resolution facilities (usually DNS). If dotted decimal format is used, each # should be a number from 0 to 255. This dotted decimal number represents the IP address of the local machine. The port_number is the TCP port number at which the access point listens for incoming requests.

  Returns:
    The nWAddr value
  A dynamic MBean attribute.

### getRetryInterval

    public long getRetryInterval()

  The number of seconds that this remote Tuxedo access point waits between automatic connection attempts to local Tuxedo access points. Use this only when the ConnectionPolicy value is set to `ON_STARTUP`.

  Range of Values: Between `-1` and a positive 32-bit integer.

  Note: A value of `-1` means that the RetryInterval value from the local Tuxedo access point is used. Be sure to set the ConnectionPolicy value for the local Tuxedo access point to `ON_STARTUP` also.

  Returns:
    The retryInterval value
  A dynamic MBean attribute.

### getTpUsrFile

    public String getTpUsrFile()

  The full path to the user password file containing UID/GID information. (This field is only relevant if you specify `TpUsrFile` as the AppKey Generator.)

  Note: This file is generated by the Tuxedo `tpusradd` utility on the remote Tuxedo domain specified by the remote Tuxedo access point. A copy of this file must be available in your WebLogic Tuxedo Connector environment to provide correct authorization, authentication, and auditing.

  Returns:
    The tpUsrFile value
  A dynamic MBean attribute.

### getTuxedoGidKw

    public String getTuxedoGidKw()

  The keyword for Tuxedo GID (Group ID) used in the `WlsUser` when using the Tuxedo migration utility `tpmigldap`. (This field is only relevant if you specify `LDAP` as the AppKey Generator.)

  Note: The keyword is used to find Tuxedo GID in the user record in the embedded LDAP database.

  Returns:
    The tuxedoGidKw value
  A dynamic MBean attribute.

### getTuxedoUidKw

    public String getTuxedoUidKw()

  The keyword for Tuxedo UID (User ID) used in the `WlsUser` when using the Tuxedo migration utility `tpmigldap`. (This keyword is only relevant if you specify `LDAP` as the AppKey Generator.)

  Note: The keyword is used to find Tuxedo UID in the user record in the embedded LDAP database.

  Returns:
    The tuxedoUidKw value
  A dynamic MBean attribute.

### setAccessPoint

    public void setAccessPoint(String AccessPoint)
                        throws InvalidAttributeValueException

  Sets the value of the AccessPoint attribute.

  Parameters:
    `AccessPoint` - the name for the remote domain access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAccessPoint()`
  Default value:
    "myRAP"
  Legal null:
    false
  A dynamic MBean attribute.

### setAccessPointId

    public void setAccessPointId(String AccessPointId)
                          throws InvalidAttributeValueException

  Sets the value of the AccessPointId attribute.

  Parameters:
    `AccessPointId` - the local domain access point identifier
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAccessPointId()`
  Default value:
    "myRAPId"
  Legal null:
    false
  A dynamic MBean attribute.

### setAclPolicy

    public void setAclPolicy(String AclPolicy)
                      throws InvalidAttributeValueException

  Sets the value of the AclPolicy attribute.

  Parameters:
    `AclPolicy` - the AclPolicy for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAclPolicy()`
  Default value:
    "LOCAL"
  Legal values:
    "GLOBAL","LOCAL"
  A dynamic MBean attribute.

### setAllowAnonymous

    public void setAllowAnonymous(boolean AllowAnonymous)
                           throws InvalidAttributeValueException

  Sets the value of the AllowAnonymous attribute.

  Parameters:
    `AllowAnonymous` - Specify if anonymous user is allowed to access Tuxedo
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAllowAnonymous()`
  Default value:
    false
  A dynamic MBean attribute.

### setAppKey

    public void setAppKey(String AppKey)
                   throws InvalidAttributeValueException

  Sets the value of the AppKey attribute.

  Parameters:
    `AppKey` - The type of appkey generator plug-in selected.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAppKey()`
  Default value:
    "TpUsrFile"
  Legal values:
    "TpUsrFile","LDAP","Custom"
  A dynamic MBean attribute.

### setCmpLimit

    public void setCmpLimit(int CmpLimit)
                     throws InvalidAttributeValueException

  Sets the value of the CmpLimit attribute.

  Parameters:
    `CmpLimit` - The compression threshold for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCmpLimit()`
  Default value:
    java.lang.Integer.MAX_VALUE
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setConnectionPolicy

    public void setConnectionPolicy(String ConnectionPolicy)
                             throws InvalidAttributeValueException

  Sets the value of the ConnectionPolicy attribute.

  Parameters:
    `ConnectionPolicy` - the connection policy for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectionPolicy()`
  Default value:
    "LOCAL"
  Legal values:
    "ON_DEMAND","ON_STARTUP","INCOMING_ONLY","LOCAL"
  A dynamic MBean attribute.

### setConnPrincipalName

    public void setConnPrincipalName(String ConnPrincipalName)
                              throws InvalidAttributeValueException

  Sets the value of the ConnPrincipalName attribute.

  Parameters:
    `ConnPrincipalName` - The new connPrincipalName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnPrincipalName()`
  A dynamic MBean attribute.

### setCredentialPolicy

    public void setCredentialPolicy(String CredentialPolicy)
                             throws InvalidAttributeValueException

  Sets the value of the CredentialPolicy attribute.

  Parameters:
    `CredentialPolicy` - the CredentialPolicy for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCredentialPolicy()`
  Default value:
    "LOCAL"
  Legal values:
    "GLOBAL","LOCAL"
  A dynamic MBean attribute.

### setCustomAppKeyClass

    public void setCustomAppKeyClass(String AppKeyClass)
                              throws InvalidAttributeValueException

  Sets the value of the CustomAppKeyClass attribute.

  Parameters:
    `AppKeyClass` - The custom AppKey class full pathname
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCustomAppKeyClass()`
  A dynamic MBean attribute.

### setCustomAppKeyClassParam

    public void setCustomAppKeyClassParam(String Param)
                                   throws InvalidAttributeValueException

  Sets the value of the CustomAppKeyClassParam attribute.

  Parameters:
    `Param` - Optional parameter for information to be used by `Custom` class
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCustomAppKeyClassParam()`
  A dynamic MBean attribute.

### setDefaultAppKey

    public void setDefaultAppKey(int DfltAppKey)
                          throws InvalidAttributeValueException

  Sets the value of the DefaultAppKey attribute.

  Parameters:
    `DfltAppKey` - The default AppKey value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultAppKey()`
  Default value:
    -1
  A dynamic MBean attribute.

### setFederationName

    public void setFederationName(String FederationName)
                           throws InvalidAttributeValueException

  Sets the value of the FederationName attribute.

  Parameters:
    `FederationName` - context at which to federate to foreign name service
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFederationName()`
  A dynamic MBean attribute.

### setFederationURL

    public void setFederationURL(String FederationURL)
                          throws InvalidAttributeValueException

  Sets the value of the FederationURL attribute.

  Parameters:
    `FederationURL` - url for a foreign name service federated into JNDI
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFederationURL()`
  A dynamic MBean attribute.

### setKeepAlive

    public void setKeepAlive(int KeepAlive)
                      throws InvalidAttributeValueException

  Sets the value of the KeepAlive attribute. The value of 0 means no Application Level KeepAlive. Any other values in the valid value range means the maximum inactive time before start counting the the wait timer. The value is measured in millisecond and rounded up to second.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getKeepAlive()`
  Default value:
    0
  Minimum value:
    -1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setKeepAliveWait

    public void setKeepAliveWait(int KeepAliveWait)
                          throws InvalidAttributeValueException

  Sets the value of the KeepAliveWait attribute. The value of 0 means don't initiate Application Level KeepAlive, but do acknowledge if receive one. Any other values in the valid value range means the maximum time allowed without receiving acknowledgement before WTC declares the connection is inaccessable. The value is measured in millisecond and rounded up to second.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getKeepAliveWait()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setLocalAccessPoint

    public void setLocalAccessPoint(String LocalAccessPoint)
                             throws InvalidAttributeValueException

  Sets the value of the LocalAccessPoint attribute.

  Parameters:
    `LocalAccessPoint` - the name for the local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLocalAccessPoint()`
  Default value:
    "myLAP"
  Legal null:
    false
  A dynamic MBean attribute.

### setMaxEncryptBits

    public void setMaxEncryptBits(String MaxEncryptBits)
                           throws InvalidAttributeValueException

  Sets the value of the MaxEncryptBits attribute.

  Parameters:
    `MaxEncryptBits` - The maximum encryption level desired for this remote Tuxedo domain
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxEncryptBits()`
  Default value:
    "128"
  Legal values:
    "0","40","56","128"
  A dynamic MBean attribute.

### setMaxRetries

    public void setMaxRetries(long MaxRetries)
                       throws InvalidAttributeValueException

  Sets the value of the MaxRetries attribute.

  Parameters:
    `MaxRetries` - the number of times to attempt connection to local Tuxedo access points
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxRetries()`
  Default value:
    -1
  Minimum value:
    -1
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.

### setMinEncryptBits

    public void setMinEncryptBits(String MinEncryptBits)
                           throws InvalidAttributeValueException

  Sets the value of the MinEncryptBits attribute.

  Parameters:
    `MinEncryptBits` - The minimum encryption level desired for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMinEncryptBits()`
  Default value:
    "0"
  Legal values:
    "0","40","56","128"
  A dynamic MBean attribute.

### setNWAddr

    public void setNWAddr(String ListenAddress)
                   throws InvalidAttributeValueException

  Sets the value of the NWAddr attribute.

  Parameters:
    `ListenAddress` - The new nWAddr value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getNWAddr()`
  Default value:
    "//localhost:8902"
  A dynamic MBean attribute.

### setRetryInterval

    public void setRetryInterval(long RetryInterval)
                          throws InvalidAttributeValueException

  Sets the value of the RetryInterval attribute.

  Parameters:
    `RetryInterval` - the retry interval for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRetryInterval()`
  Default value:
    -1
  Minimum value:
    -1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setTpUsrFile

    public void setTpUsrFile(String TpUsrFile)
                      throws InvalidAttributeValueException

  Sets the value of the TpUsrFile attribute.

  Parameters:
    `TpUsrFile` - the TpUsrFile URL for this remote Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTpUsrFile()`
  A dynamic MBean attribute.

### setTuxedoGidKw

    public void setTuxedoGidKw(String GidKw)
                        throws InvalidAttributeValueException

  Sets the value of the TuxedoGidKw attribute.

  Parameters:
    `GidKw` - The Tuxedo group id keyword
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTuxedoGidKw()`
  Default value:
    "TUXEDO_GID"
  A dynamic MBean attribute.

### setTuxedoUidKw

    public void setTuxedoUidKw(String UidKw)
                        throws InvalidAttributeValueException

  Sets the value of the TuxedoUidKw attribute.

  Parameters:
    `UidKw` - The Tuxedo user id keyword
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTuxedoUidKw()`
  Default value:
    "TUXEDO_UID"
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD